# Evil

*Evil always wins in the end. But that's not a reason to join it.*

Evil is something that's in conflict with our goal, it is the opposite of [good](good.md). What's evil therefore depends on what we are trying to achieve (and how, i.e. by which means, which we may technically consider part of the goal). For example when aiming to write efficient programs, [bloated](bloat.md) languages such as [Python](python.md) and [JavaScript](javascript.md) are evil because they are in conflict with the goal, similarly to achieve [well being for everyone](less_retarded_society.md) things such as [capitalism](capitalism.md) and [proprietary](proprietary.md) software are evil and so on.

As [Richard Stallman](rms.md) says, **all evil does some good, which is never a reason to support it**. Just as any good always does a little bit of evil, the opposite also holds: for example [Facebook](facebook.md), a [corporation](corporation.md) who accelerates and largely causes downfall of civilization and kills and tortures millions of people, may on occasion help do something good, for example help people communicate during an emergency, however it is no reason to support Facebook or to stop supporting its destruction.

If we consider evil to be that which is not restrained from amoral behavior, we conclude that in a [competitive](competition.md) system (such as [capitalism](capitalism.md)) evil always wins, simply because it's always in an advantage -- evil always has all possible options at hand to choose from, the amoral ones but also including the moral ones (evil will on occasion do good if it's in its interest), unlike good which limits itself to only choosing from morally sound options. It's like having two [chess](chess.md) players, one being limited by some further rules, for example only being able to take the opponent's pieces in self defense, not being able to attack first -- it is possible the disadvantaged player will win some games, but if they keep perpetually playing games over and over and reach about the same skill level, the disadvantage will inevitably make the crippled player to eventually be losing every single game. In other words good has tied hands, in a perpetual [fight](fight_culture.md) it will always fall behind and lose in the end. The only way for evil (as a form of behavior) to be eliminated is to establish a [non competitive system](less_retarded_society.md).